Skip to main content
GET
List invoices

Authorizations

Authorization
string
header
required

Use header Authorization: Token <api_token>. API tokens are obtained from the Piriod dashboard.

Headers

x-simple-workspace
string
required

Workspace (account) identifier. Required for every request.

x-piriod-test-mode
boolean
default:false

Whether to operate against test-mode data. Defaults to false.

Query Parameters

page
integer
default:1

Page number to retrieve (1-indexed).

Required range: x >= 1
page_size
integer
default:20

Number of items per page.

Required range: 1 <= x <= 100
ordering
string

Field to sort results by. Prefix with - for descending order (e.g. -created).

customer
string
number
integer
document
integer
date
string<date>

Use lookups: date__gte, date__lte.

due_date
string<date>
collection_method
enum<string>
Available options:
deferred,
deferred_dues,
automatically
status
enum<string>
Available options:
draft,
finalized,
paid,
cancelled,
uncollectible,
pending
subscription
integer
bulk
integer
imported
boolean
tax_agency
string
total
number
total_adjusted
number
created
string<date-time>

Response

Paginated invoice list.

count
integer
required

Total number of items matching the filter.

Example:

142

results
object[]
required

The items in the current page.

next
string<uri> | null

URL of the next page, or null if last page.

previous
string<uri> | null

URL of the previous page, or null if first page.